
Infrastructure - Task #308

modify cn-buildout to generate self-signed key

2010-03-02 18:45 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone:  Story Points:  

Product Version: *   

Description

The current CN Buildout makefile configures apache and assumes that the *.dataone.org wildcard certificate is installed.  Developers

need to be able to run the buildout on development machines and generate a self-signed certificate that works.  Modify the Makefile

in cn_buildout to generate and install this certificate on apache.

History

#1 - 2010-08-12 16:41 - Matthew Jones

- Status changed from New to Closed

No longer needed, as we use the dataone wildcard cert for dev machines too.

#2 - 2010-10-27 16:12 - Dave Vieglais

- Category changed from d1_cn_buildout to d1_cn_service
